# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python2_sitelib: %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           rpkg
Version:        1.59
Release:        3.20191204gita99a9a44%{?dist}

Summary:        Python library for interacting with rpm+git
License:        GPLv2+ and LGPLv2
URL:            https://pagure.io/rpkg
Source0:        rpkg-a99a9a44.tar
BuildArch:      noarch


%if 0%{?fedora} || 0%{?rhel} > 7
# Enable python3 build by default
%global with_python3 1
%else
%global with_python3 0
%endif

%if 0%{?rhel} < 7
# Disable python2 build by default
%global with_python2 0
%else
%global with_python2 1
%endif

%description
Python library for interacting with rpm+git


%if 0%{?with_python2}
%package -n python2-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{name}}

BuildRequires:  python2-devel

# We br these things for man page generation due to imports
BuildRequires:  python2-koji >= 1.15
BuildRequires:  python2-cccolutils
BuildRequires:  python2-openidc-client

%if 0%{?rhel}
BuildRequires:  GitPython
BuildRequires:  python-pycurl
BuildRequires:  python-requests
BuildRequires:  python-six >= 1.9.0
BuildRequires:  PyYAML
BuildRequires:  PyGobject3
%else
BuildRequires:  python2-GitPython
BuildRequires:  python2-pycurl
BuildRequires:  python2-requests
BuildRequires:  python2-six >= 1.9.0
BuildRequires:  python2-yaml
BuildRequires:  python2-gobject-base
BuildRequires:  python2-koji
%endif

%if 0%{?rhel} && 0%{?rhel} < 7
BuildRequires:  python-argparse
BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-setuptools
BuildRequires:  python-unittest2
%else
BuildRequires:  python2-mock
BuildRequires:  python2-nose
BuildRequires:  python2-setuptools
%endif

BuildRequires:  rpmlint

Requires:       mock
Requires:       redhat-rpm-config
Requires:       rpm-build
Requires:       rpmlint

Requires:       python2-cccolutils
Requires:       python2-koji >= 1.15

%if 0%{?rhel}
Requires:       GitPython >= 0.2.0
Requires:       rpm-python
Requires:       python-pycurl
Requires:       python-six >= 1.9.0
Requires:       python-requests
%else
Requires:       python2-GitPython
Requires:       python2-rpm
Requires:       python2-pycurl
Requires:       python2-six >= 1.9.0
%endif

%if 0%{?rhel} && 0%{?rhel} < 7
Requires:  python-argparse
%endif

Requires:       %{name}-common = %{version}-%{release}

Conflicts:      fedpkg < 1.26

# Backward compatibility with capability pyrpkg
Provides: pyrpkg = %{version}-%{release}
# All old versions before 1.49-1 should not be used anymore
Obsoletes: pyrpkg < 1.49-2


%description -n python2-%{name}
A python library for managing RPM package sources in a git repository.
%endif


%if 0%{?with_python3}
%package -n python3-%{name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{name}}

BuildRequires:  python3-devel
BuildRequires:  python3-GitPython
BuildRequires:  python3-koji >= 1.15
BuildRequires:  python3-cccolutils
BuildRequires:  python3-openidc-client
BuildRequires:  python3-mock
BuildRequires:  python3-pycurl
BuildRequires:  python3-rpmfluff
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-yaml

BuildRequires:  rpmlint

Requires:       mock
Requires:       redhat-rpm-config
Requires:       rpm-build
Requires:       rpmlint

Requires:       python3-GitPython >= 0.2.0
Requires:       python3-cccolutils
Requires:       python3-koji >= 1.15
Requires:       python3-rpm
Requires:       python3-pycurl
Requires:       python3-six >= 1.9.0

Requires:       %{name}-common = %{version}-%{release}

Conflicts:      fedpkg < 1.26

%description -n python3-%{name}
A python library for managing RPM package sources in a git repository.
%endif


%package common
Summary:        Common files for %{name}

# Files were moved from python2-rpkg in that version
Conflicts:      python2-rpkg < 1.52-2
Conflicts:      pyrpkg < 1.52-2

%description common
Common files for python2-%{name} and python3-%{name}.


%prep
%setup -q -n %{name}


%build
%if 0%{?with_python2}
%py2_build
%endif

%if 0%{?with_python3}
%py3_build
%endif


%install
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python3}
%py3_install
%endif


# Create configuration directory to holding downstream clients config files
# that are built on top of rpkg
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/rpkg

example_cli_dir=$RPM_BUILD_ROOT%{_datadir}/%{name}/examples/cli
%{__install} -d $example_cli_dir

# Install example CLI to rpkg own data directory
%{__install} -d ${example_cli_dir}%{_bindir}
%{__install} -d ${example_cli_dir}%{_sysconfdir}/bash_completion.d
%{__install} -d ${example_cli_dir}%{_sysconfdir}/rpkg

%{__install} -p -m 0644 bin/rpkg ${example_cli_dir}%{_bindir}
%{__install} -p -m 0644 etc/bash_completion.d/rpkg.bash ${example_cli_dir}%{_sysconfdir}/bash_completion.d
%{__install} -p -m 0644 etc/rpkg/rpkg.conf ${example_cli_dir}%{_sysconfdir}/rpkg


%check
# cannot use python2 -m nose on EPEL 6 (Python 2.6)
%if 0%{?with_python2}
nosetests tests
%endif

%if 0%{?with_python3}
%{__python3} -m nose tests
%endif


%if 0%{?with_python2}
%files -n python2-%{name}
%doc README.rst CHANGELOG.rst
%license COPYING COPYING-koji LGPL
# For noarch packages: sitelib
%{python2_sitelib}/pyrpkg
%{python2_sitelib}/%{name}-%{version}-py*.egg-info
%endif

%if 0%{?with_python3}
%files -n python3-%{name}
%doc README.rst CHANGELOG.rst
%license COPYING COPYING-koji LGPL
%{python3_sitelib}/pyrpkg
%{python3_sitelib}/%{name}-%{version}-py*.egg-info
%endif

%files common
%{_datadir}/%{name}
%{_sysconfdir}/rpkg


%changelog
* Wed Dec 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.59-3.20191204gita99a9a44
- Update to git: a99a9a44

* Mon Dec 02 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.59-2.20191202git3bf32cda
- Update to git: 3bf32cda

* Fri Nov 29 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.59-1.20191129git2eee1c4e
- Update to git: 2eee1c4e

* Fri Nov 29 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-72.20191129git2eee1c4e
- Update to git: 2eee1c4e

* Fri Nov 29 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-71.20191129git2eee1c4e
- Update to git: 2eee1c4e

* Tue Nov 05 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-70.20191105gitc0c26f85
- Update to git: c0c26f85

* Thu Oct 24 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-69.20191024git4b48dbcb
- Update to git: 4b48dbcb

* Tue Oct 08 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-68.20191008git48e3ce2f
- Update to git: 48e3ce2f

* Mon Sep 16 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-67.20190916git0ee52cf7
- Update to git: 0ee52cf7

* Thu Sep 12 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-66.20190912git90002624
- Update to git: 90002624

* Tue Sep 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-65.20190910git0cc14f5c
- Update to git: 0cc14f5c

* Mon Sep 09 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-64.20190909git905ced21
- Update to git: 905ced21

* Mon Sep 02 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-63.20190902gitffac3a9c
- Update to git: ffac3a9c

* Tue Jul 30 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-62.20190730git7d1c6091
- Update to git: 7d1c6091

* Fri Jul 19 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-61.20190719gitc348e1f1
- Update to git: c348e1f1

* Fri Jul 19 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-60.20190719git1de164d2
- Update to git: 1de164d2

* Wed Jul 17 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-59.20190717git07c0d280
- Update to git: 07c0d280

* Tue Jul 16 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-58.20190716git07c0d280
- Update to git: 07c0d280

* Fri Jul 12 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-57.20190712git09578e40
- Update to git: 09578e40

* Wed Jul 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.58-56.20190710git847c380d
- Update to git: 847c380d

* Wed Jul 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-55.20190710git847c380d
- Update to git: 847c380d

* Wed Jul 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-54.20190710git847c380d
- Update to git: 847c380d

* Wed Jul 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-53.20190710git847c380d
- Update to git: 847c380d

* Tue Jun 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-52.20190604git23e3565f
- Update to git: 23e3565f

* Mon May 27 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-51.20190527git810b2f7e
- Update to git: 810b2f7e

* Mon May 27 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-50.20190527git7cef29d8
- Update to git: 7cef29d8

* Wed May 22 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-49.20190522git910ed504
- Update to git: 910ed504

* Thu May 09 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-48.20190509git0878a3aa
- Update to git: 0878a3aa

* Thu May 02 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-47.20190502git4f3749ad
- Update to git: 4f3749ad

* Mon Apr 29 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-46.20190429gitf3b0ac13
- Update to git: f3b0ac13

* Fri Apr 26 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-45.20190426gitda320b47
- Update to git: da320b47

* Thu Apr 25 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-44.20190425git580520c2
- Update to git: 580520c2

* Tue Apr 23 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-43.20190423git3d9523be
- Update to git: 3d9523be

* Mon Apr 15 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-42.20190415git1774559f
- Update to git: 1774559f

* Mon Apr 15 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-41.20190415git4c82a632
- Update to git: 4c82a632

* Wed Apr 10 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-40.20190410gitcb6431ba
- Update to git: cb6431ba

* Tue Apr 09 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-39.20190409git1fc5ef52
- Update to git: 1fc5ef52

* Mon Apr 08 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-38.20190408gita1fab506
- Update to git: a1fab506

* Thu Apr 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-37.20190404gitf2c8237b
- Update to git: f2c8237b

* Tue Apr 02 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-36.20190402git94b381f9
- Update to git: 94b381f9

* Mon Apr 01 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-35.20190401git2b73c707
- Update to git: 2b73c707

* Tue Mar 26 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-34.20190326gita849dee6
- Update to git: a849dee6

* Fri Mar 22 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-33.20190322git13629341
- Update to git: 13629341

* Mon Mar 18 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-32.20190318git9c8a5139
- Update to git: 9c8a5139

* Mon Mar 18 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-31.20190318git00a89ee0
- Update to git: 00a89ee0

* Thu Mar 14 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-30.20190314git179ecb38
- Update to git: 179ecb38

* Tue Feb 26 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-29.20190226git5e3ffdef
- Update to git: 5e3ffdef

* Mon Feb 25 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-28.20190225git1895d90d
- Update to git: 1895d90d

* Mon Feb 25 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-27.20190225git3aab252e
- Update to git: 3aab252e

* Fri Feb 22 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-26.20190222gitf6ad8ac3
- Update to git: f6ad8ac3

* Thu Feb 21 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-25.20190221gitd3eae33d
- Update to git: d3eae33d

* Thu Feb 21 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-24.20190221git23af2994
- Update to git: 23af2994

* Tue Jan 08 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-23.20190108gitcc2af244
- Update to git: cc2af244

* Fri Jan 04 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-22.20190104git303fc0cc
- Update to git: 303fc0cc

* Wed Jan 02 2019 lsedlar <lubomir.sedlar@gmail.com> - 1.56-21.20190102git00cc1af7
- Update to git: 00cc1af7

* Thu Dec 06 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-20.20181206gita957c0af
- Update to git: a957c0af

* Thu Dec 06 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-19.20181206git284fc5b7
- Update to git: 284fc5b7

* Thu Dec 06 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-18.20181206git7d97b565
- Update to git: 7d97b565

* Wed Dec 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-17.20181205git1e403b51
- Update to git: 1e403b51

* Tue Dec 04 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-16.20181204gitcc265757
- Update to git: cc265757

* Mon Dec 03 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-15.20181203git3b8c9548
- Update to git: 3b8c9548

* Wed Nov 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-14.20181128gitfb15797b
- Update to git: fb15797b

* Thu Nov 22 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-13.20181122git161cd100
- Update to git: 161cd100

* Thu Nov 22 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-12.20181122git4acb5c44
- Update to git: 4acb5c44

* Mon Nov 12 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-11.20181112git2e47df34
- Update to git: 2e47df34

* Mon Nov 12 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-10.20181112git607b1fbb
- Update to git: 607b1fbb

* Thu Nov 08 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-9.20181108git80a3d1fc
- Update to git: 80a3d1fc

* Thu Nov 08 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-8.20181108git89e34eb6
- Update to git: 89e34eb6

* Wed Sep 26 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-7.20180926git727c1350
- Update to git: 727c1350

* Wed Sep 19 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-6.20180919git82f763cc
- Update to git: 82f763cc

* Wed Sep 19 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-5.20180919git82f763cc
- Update to git: 82f763cc

* Wed Sep 19 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-4.20180919git82f763cc
- Update to git: 82f763cc

* Mon Sep 17 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-3.20180917git77c133cc
- Update to git: 77c133cc

* Fri Aug 31 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-2.20180831gitca0a0cd7
- Update to git: ca0a0cd7

* Tue Aug 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.56-1.20180821gita39f539e
- Update to git: a39f539e

* Tue Aug 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-14.20180821gita39f539e
- Update to git: a39f539e

* Tue Aug 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-13.20180821gita732070a
- Update to git: a732070a

* Mon Aug 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-12.20180820git3dc0a6a7
- Update to git: 3dc0a6a7

* Mon Aug 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-11.20180820gitcc94b5b4
- Update to git: cc94b5b4

* Mon Aug 20 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-10.20180820gitda4f673e
- Update to git: da4f673e

* Thu Aug 16 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-9.20180816gitd3b35456
- Update to git: d3b35456

* Thu Aug 16 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-8.20180816gitf09a4827
- Update to git: f09a4827

* Tue Aug 14 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-7.20180814git5725e114
- Update to git: 5725e114

* Wed Aug 08 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-6.20180808git9222de6e
- Update to git: 9222de6e

* Sun Aug 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-5.20180805git567364fa
- Update to git: 567364fa

* Mon Jul 30 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-4.20180730git094c06ab
- Update to git: 094c06ab

* Thu Jul 26 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-3.20180726git9800d0c1
- Update to git: 9800d0c1

* Thu Jul 26 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-2.20180726gitda4e96bc
- Update to git: da4e96bc

* Mon Jul 23 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.55-1.20180723gitd0727ac0
- Update to git: d0727ac0

* Mon Jul 23 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-19.20180723gitd0727ac0
- Update to git: d0727ac0

* Wed Jul 18 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-18.20180718gite9167689
- Update to git: e9167689

* Tue Jul 10 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-17.20180710git1aaef06d
- Update to git: 1aaef06d

* Wed Jul 04 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-16.20180704git53017449
- Update to git: 53017449

* Mon Jul 02 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-15.20180702git4e87f3d4
- Update to git: 4e87f3d4

* Thu Jun 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-14.20180628gitdd22d613
- Update to git: dd22d613

* Thu Jun 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-13.20180628gitdd22d613
- Update to git: dd22d613

* Thu Jun 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-12.20180628gitdd22d613
- Update to git: dd22d613

* Thu Jun 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-11.20180628gitdd22d613
- Update to git: dd22d613

* Thu Jun 28 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-10.20180628git51a7d789
- Update to git: 51a7d789

* Wed Jun 27 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-9.20180627git25862459
- Update to git: 25862459

* Mon Jun 25 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-8.20180625git0e351359
- Update to git: 0e351359

* Mon Jun 25 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-7.20180625gitb87b4468
- Update to git: b87b4468

* Fri Jun 22 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-6.20180622git38727bba
- Update to git: 38727bba

* Thu Jun 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-5.20180621gita5fcde8c
- Update to git: a5fcde8c

* Thu Jun 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-4.20180621giteb754e9c
- Update to git: eb754e9c

* Tue Jun 12 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-3.20180612git2146d1d1
- Update to git: 2146d1d1

* Thu Jun 07 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-2.20180607git907705c7
- Update to git: 907705c7

* Mon May 14 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.54-1.20180514git3623f40a
- Update to git: 3623f40a

* Fri May 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-6.20180511git3623f40a
- Update to git: 3623f40a

* Wed May 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-5.20180509git8af3c9c9
- Update to git: 8af3c9c9

* Wed May 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-4.20180509git3805a0d9
- Update to git: 3805a0d9

* Wed May 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-3.20180509gitbd3fb013
- Update to git: bd3fb013

* Mon May 07 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-2.20180507git46130d45
- Update to git: 46130d45

* Thu May 03 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.53-1.20180503gitd49c48e6
- Update to git: d49c48e6

* Thu May 03 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-29.20180503gitd49c48e6
- Update to git: d49c48e6

* Tue Apr 10 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-28.20180410git031e3eee
- Update to git: 031e3eee

* Mon Apr 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-27.20180409git672e8b32
- Update to git: 672e8b32

* Tue Apr 03 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-26.20180403gitb294c3ad
- Update to git: b294c3ad

* Tue Apr 03 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-25.20180403git6d91d628
- Update to git: 6d91d628

* Mon Mar 26 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-24.20180326git1c7d1bfa
- Update to git: 1c7d1bfa

* Wed Mar 21 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-23.20180321git7a636ec0
- Update to git: 7a636ec0

* Tue Mar 13 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-22.20180313git50c7b82a
- Update to git: 50c7b82a

* Thu Feb 22 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-21.20180222gitf8ad0d9d
- Update to git: f8ad0d9d

* Tue Feb 13 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-20.20180213gita35132be
- Update to git: a35132be

* Mon Feb 12 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-19.20180212gitf90de9b6
- Update to git: f90de9b6

* Fri Feb 09 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-18.20180209git837b7abe
- Update to git: 837b7abe

* Mon Feb 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-17.20180205git1506601a
- Update to git: 1506601a

* Mon Feb 05 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-16.20180205git10fbe42f
- Update to git: 10fbe42f

* Fri Feb 02 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-15.20180202gitb395fbf3
- Update to git: b395fbf3

* Wed Jan 31 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-14.20180131git16fddc7a
- Update to git: 16fddc7a

* Thu Jan 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-13.20180111gitac377516
- Update to git: ac377516

* Thu Jan 11 2018 lsedlar <lubomir.sedlar@gmail.com> - 1.51-12.20180111gite1b117ef
- Update to git: e1b117ef

* Mon Dec 18 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-11.20171218git3213dd15
- Update to git: 3213dd15

* Wed Dec 13 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-10.20171213gitcbd8e351
- Update to git: cbd8e351

* Mon Dec 11 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-9.20171211gitfdbc0f41
- Update to git: fdbc0f41

* Fri Dec 08 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-8.20171208gitc2853f4c
- Update to git: c2853f4c

* Thu Dec 07 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-7.20171207git9aec701d
- Update to git: 9aec701d

* Wed Dec 06 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-6.20171206gitefbb2dbc
- Update to git: efbb2dbc

* Tue Dec 05 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-5.20171205gitc42ecd78
- Update to git: c42ecd78

* Mon Nov 27 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-4.20171127git1b853079
- Update to git: 1b853079

* Wed Nov 08 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-3.20171108gite100dd5d
- Update to git: e100dd5d

* Mon Oct 30 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-2.20171030gitc46f8285
- Update to git: c46f8285

* Tue Oct 24 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.51-1.20171024gitab977108
- Update to git: ab977108

* Tue Oct 24 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-15.20171024gitab977108
- Update to git: ab977108

* Fri Oct 20 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-14.20171020git0b8e7c28
- Update to git: 0b8e7c28

* Thu Oct 19 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-13.20171019git9a712654
- Update to git: 9a712654

* Thu Oct 19 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-12.20171019git9a712654
- Update to git: 9a712654

* Wed Oct 18 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-11.20171018gitf6c308ae
- Update to git: f6c308ae

* Tue Oct 10 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-10.20171010git7983797c
- Update to git: 7983797c

* Tue Oct 10 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-9.20171010git7983797c
- Update to git: 7983797c

* Tue Oct 10 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-8.20171010git7983797c
- Update to git: 7983797c

* Mon Oct 09 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-7.20171009git774678a9
- Update to git: 774678a9

* Mon Oct 09 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-6.20171009git6f83daa9
- Update to git: 6f83daa9

* Mon Oct 09 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-5.20171009git60d428c4
- Update to git: 60d428c4

* Thu Sep 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-4.20170921git6e12e6c4
- Update to git: 6e12e6c4

* Thu Sep 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-3.20170921git6e12e6c4
- Update to git: 6e12e6c4

* Thu Sep 21 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-2.20170921git6e12e6c4
- Update to git: 6e12e6c4

* Wed Sep 20 2017 lsedlar <lubomir.sedlar@gmail.com> - 1.50-1.20170920git6e12e6c4
- Update to git: 6e12e6c4

* Thu Nov 24 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-38.20161124git07fe6eb3
- Update to git: 07fe6eb3

* Thu Nov 24 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-37.20161124gitb9b68286
- Update to git: b9b68286

* Thu Nov 24 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-36.20161124git14e35c4f
- Update to git: 14e35c4f

* Tue Nov 15 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-35.20161115git57c2cce7
- Update to git: 57c2cce7

* Tue Nov 15 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-34.20161115gite1ba833b
- Update to git: e1ba833b

* Tue Nov 15 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-33.20161115git30f88392
- Update to git: 30f88392

* Mon Nov 14 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-32.20161114gitfe6aeae7
- Update to git: fe6aeae7

* Mon Nov 14 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-31.20161114gitfe6aeae7
- Update to git: fe6aeae7

* Mon Nov 14 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-30.20161114gitfe6aeae7
- Update to git: fe6aeae7

* Sat Nov 12 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-29.20161112gitcd1d92d8
- Update to git: cd1d92d8

* Thu Nov 10 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-28.20161110gitcc92c639
- Update to git: cc92c639

* Thu Nov 10 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-27.20161110gitc5138c17
- Update to git: c5138c17

* Wed Nov 09 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-26.20161109git2d4e5f90
- Update to git: 2d4e5f90

* Mon Nov 07 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-25.20161107git22e2ded4
- Update to git: 22e2ded4

* Thu Nov 03 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-24.20161103gita7fb3025
- Update to git: a7fb3025

* Thu Nov 03 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-23.20161103gita7fb3025
- Update to git: a7fb3025

* Tue Nov 01 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-22.20161101git1c976518
- Update to git: 1c976518

* Tue Nov 01 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-21.20161101git0fb6c5fe
- Update to git: 0fb6c5fe

* Tue Oct 25 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-20.20161025gitc34d09d1
- Update to git: c34d09d1

* Wed Oct 19 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-19.20161019git58b051b4
- Update to git: 58b051b4

* Tue Oct 18 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-18.20161018gitdd34b7ec
- Update to git: dd34b7ec

* Wed Oct 12 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-17.20161012gitf7eb5726
- Update to git: f7eb5726

* Wed Oct 12 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-16.20161012git73ee9332
- Update to git: 73ee9332

* Mon Oct 03 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-15.20161003git3776a0fa
- Update to git: 3776a0fa

* Mon Oct 03 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-14.20161003git1983abc6
- Update to git: 1983abc6

* Fri Sep 30 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-13.20160930git1983abc6
- Update to git: 1983abc6

* Fri Sep 30 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-12.20160930git1983abc6
- Update to git: 1983abc6

* Fri Sep 30 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-11.20160930git1983abc6
- Update to git: 1983abc6

* Thu Sep 29 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-10.20160929git18391892
- Update to git: 18391892

* Thu Sep 29 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-9.20160929git0fa570f0
- Update to git: 0fa570f0

* Thu Sep 29 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-8.20160929git0fa570f0
- Update to git: 0fa570f0

* Thu Sep 29 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-7.20160929git0fa570f0
- Update to git: 0fa570f0

* Thu Sep 29 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-6.20160929git06b7a799
- Update to git: 06b7a799

* Thu Sep 22 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-5.20160922git8e926f0c
- Update to git: 8e926f0c

* Tue Sep 06 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-4.20160906git3423f6d5
- Update to git: 3423f6d5

* Tue Sep 06 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-4.20160906git3423f6d5
- Update to git: 3423f6d5

* Tue Sep 06 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-5.20160906git3423f6d5
- Update to git: 3423f6d5

* Tue Sep 06 2016 lsedlar <lubomir.sedlar@gmail.com> - 1.46-4.20160906git3423f6d5
- Update to git: 3423f6d5


* Thu Aug 25 2016 Chenxiong Qi <cqi@redhat.com> - 1.46-3
- python-six-1.9.0 is the minimum version rpkg depends

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.46-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 15 2016 Chenxiong Qi <cqi@redhat.com> - 1.46-1
- Warning untracked patches when push (cqi)
- handle correct spec path when push from outside the repo (cqi)
- Remove support for BuildContainer release task opt (lucarval)

* Mon Jun 27 2016 Chenxiong Qi <cqi@redhat.com> - 1.45-2
- Depend on python-six to be compatible with Python 3

* Mon Jun 27 2016 Chenxiong Qi <cqi@redhat.com> - 1.45-1
- add missing git-config in the git repo for testing (cqi)
- Don't print download/upload progress outside of TTY (lsedlar)
- Merge #58 `Rebase of #28 with conflict resolved` (cqi)
- Get correct login without TTY (vgologuz)
- Merge #63 `More Python 3 compatibility fixes` (lubomir.sedlar)
- fix broken when non-ASCII in path (cqi)
- More Python 3 compatibility fixes (ville.skytta)
- Fix push called without argument (lsedlar)
- Use logging.warning instead of deprecated logging.warn (ville.skytta)
- Use assertEqual instead of deprecated assertEquals (ville.skytta)
- Spelling fixes (ville.skytta)
- Add missing dependencies to setup.py (ville.skytta)
- Add tests for cloning with a namespace (lsedlar)
- Fix cloning with -B and namespaced module (lsedlar)
- Adjust figuring out the path of the git repo cloned (pingou)
- Only clone into the bare_dir if no target was specified (pingou)
- Add to the CLI the possibility to specify a target folder for the clone
  (pingou)
- Add unit-tests for cloning into a specified directory (pingou)
- Let rpkg support cloning into a specified directory (pingou)
- Python 3 fixes (ville.skytta)
- rewrite test_commands.setup_module using git (cqi)
- Merge #40 `push: check for missing patches` (lubomir.sedlar)

* Thu Jun 02 2016 Lubomír Sedlář <lsedlar@redhat.com> - 1.44-1
- Log container-build task results (lucarval)
- Add support for BuildContainer release task opt (lucarval)
- handle exception from getTaskInfo correctly (cqi)
- fix failure of test_load_spec_where_path_contains_space on RHEL (cqi)
- allow space appearing in path to cloned repo (cqi)
- fix docstring of Commands.compile (cqi)
- Make 'Failed to get ns_module_name from Git url or pushurl' message a warning
  (issue #42) (orion)
- pyrpkg: use git remote get-url --push (mathstuf)

* Wed Mar 23 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 1.43-1
- Print warning when using old git configuration (lsedlar)
- Add rpms namespace for checkouts without namespace (lsedlar)

* Wed Mar 16 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 1.42-1
- Fix problems with namespacing (maxamillion)

* Mon Mar 14 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 1.41-2
- Depend on python-osbs directly to avoid python3

* Mon Mar 14 2016 Lubomír Sedlář <lubomir.sedlar@gmail.com> - 1.41-1
- Update upstream URL (lsedlar)
- Fixes based on lsedlar's feedback (maxamillion)
- add distgit namespacing for non-rpm content (docker, xdg-app, etc) (maxamillion)
- Container-build: dont't allow to build with unpushed changes (araszka)
- Suggest --dist option when can't get OS ver from branch (araszka)
- fix: print all tags without filter (araszka)
- Fix lookaside upload when --path is specified (araszka)
- Lookaside: encoding repo name to UTF-8 (araszka)
- Fix errors on Python 2.6 (lsedlar)
- Add test and docstring to byte offset convertor (araszka)
- Decode .spec file with UTF-8 (araszka)
- 1271741 - add copr command (Recommends: copr-cli) (msuchy)
- Suggest --target option when unknown target (araszka)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.40-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 23 2015 Pavol Babincak <pbabinca@redhat.com> - 1.40-1
- don't use assertRaises (ttomecek)
- refactor test_clone: set clone config in the same test file (pbabinca)
- Fix clone test to not use constructor to set clone_config (pbabinca)
- Fix test clone test (pbabinca)
- Make use of clone_config attribute backwards compatible (pbabinca)

* Thu Oct 22 2015 Pavol Babincak <pbabinca@redhat.com> - 1.39-1
- Replace deprecated BaseException.message with str(BaseException) (pbabinca)
- Don't print exception message during check repo tests (pbabinca)
- Add support for setting post-clone git config (ville.skytta)

* Wed Oct 21 2015 Pavol Babincak <pbabinca@redhat.com> - 1.38-1
- Fix parse error (pbabinca)

* Wed Oct 21 2015 Pavol Babincak <pbabinca@redhat.com> - 1.37-1
- Add support for --nocheck (orion)
- container-build: check repo (ttomecek)
- move repo checking to a method (ttomecek)
- Add 'oxt' and 'xpi' extensions to UPLOADEXTS (dsilakov)
- Switch-branch: give more info about error (araszka)
- Recognize binary files with .oxt and .xpi extensions (dsilakov)
- Container-build: add --nowait option (araszka)
- bash autocompletion: support for command container-build-config (pbabinca)
- Implement getter for autorebuild value, use 'true' and 'false' for values
  (bkabrda)
- Add a command and option to change container build setup (bkabrda)
- Edit tests for python2.6 - EL6 (araszka)
- tests: Don't use assertNotIn (araszka)
- tests: Don't use assertRaises as context manager (araszka)
- tests: Don't use check_output (araszka)
- Typo in import --help descriptions (araszka)
- change the url for rpkg (dennis)

* Wed Jul 15 2015 Pavol Babincak <pbabinca@redhat.com> - 1.36-1
- container-build: support yum repos with --build-with=koji (pbabinca)
- container-build: move --scratch option to koji group (pbabinca)
- Print task info for container-build (pbabinca)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 26 2015 Dennis Gilmore <dennis@ausil.us> - 1.35-2
- pyrpkg Requires python-osbs

* Tue May 26 2015 Pavol Babincak <pbabinca@redhat.com> - 1.35-1
- Test for scratch opt in the actual argument of container_build_koji
  (pbabinca)
- Move the GitIgnore class to its own module (bochecha)
- Modernize the gitignore-handling code (bochecha)
- gitignore: Properly handle adding matching lines (bochecha)
- Refactor: remove unnecessary code (pbabinca)
- Move custom UnknownTargetError to errors module (pbabinca)
- New command: container-build (jluza)
- lookaside: Take over file uploads (bochecha)
- Remove unnecessary log message (bochecha)
- Stop making source files read-only (bochecha)
- Drop some useless comments (bochecha)
- Only report we're uploading when we actually are (bochecha)
- lookaside: Check if a file already was uploaded (bochecha)
- lookaside: Allow client-side and custom CA certificates (bochecha)
- lookaside: Be more flexible when building the download URL (bochecha)
- lookaside: Use the hashtype for the URL interpolation (bochecha)
- lookaside: Add a progress callback (bochecha)
- lookaside: Handle downloading of source files (bochecha)
- lookaside: Move handling of file verification (bochecha)
- lookaside: Move handling of file hashing (bochecha)
- utils: Add a new warn_deprecated helper (bochecha)
- Add a new lookaside module (bochecha)
- Add a new utils module (bochecha)
- Properly set the logger (bochecha)
- Move our custom errors to their own module (bochecha)
- Don't assume MD5 for the lookaside cache (bochecha)
- Remove dead code (bochecha)
- Use the proper exception syntax (bochecha)

* Thu Apr 16 2015 Pavol Babincak <pbabinca@redhat.com> - 1.34-1
- tests: Don't use assertIsNone (bochecha)
- tests: Don't use assertRaises as a context manager (bochecha)
- Add long --verbose option to -v, new --debug and -d option (pbabinca)

* Mon Apr 13 2015 Pavol Babincak <pbabinca@redhat.com> - 1.33-1
- New mockbuild options: --no-clean --no-cleanup-after (jskarvad)
- Catch ssl auth problems and print more helpful messages (pbabinca)
- New exception - rpkgAuthError to allow clients detect auth problems
  (pbabinca)

* Mon Mar 23 2015 Pavol Babincak <pbabinca@redhat.com> - 1.32-1
- tests: Properly open/close the file (bochecha)
- sources: Support writing in either the old or new format (bochecha)
- sources: Reindent code (bochecha)

* Fri Mar 06 2015 Pavol Babincak <pbabinca@redhat.com> - 1.31-1
- Refactor: remove unused imports from test_sources (pbabinca)
- Don't do several times the same thing (bochecha)
- sources: Forbid mixing hash types (bochecha)
- sources: Move to the new file format (bochecha)
- Rewrite the sources module (bochecha)

* Wed Dec 03 2014 Pavol Babincak <pbabinca@redhat.com> - 1.30-2
- Use %%{__python} instead of %%{__python2} as it might be not defined

* Wed Oct 08 2014 Pavol Babincak <pbabinca@redhat.com> - 1.30-1
- add python-nose as BuildRequires as run tests in check section (pbabinca)
- pass extra data to the Commands object via properties instead of __init__()
  (mikeb)
- clean up Koji login, and properly support password auth (mikeb)
- add --runas option (mikeb)
- run os.path.expanduser on the kojiconfig attribute in case the path is in the
  user's home directory (bstinson)
- Override GIT_EDITOR in tests (pbabinca)
- Massive Flake8 fix (bochecha)
- Fix some more Flake8 issues (bochecha)
- Fix some flake8 issues (bochecha)
- Simplify some code (bochecha)
- Fix typo (bochecha)
- tests: Ensure functioning of Commands.list_tag (bochecha)
- list_tags: Stop executing a command (bochecha)
- list_tags: Fix the docstring (bochecha)
- delete_tag: Stop executing a command (bochecha)
- tests: Ensure functioning of Commands.delete_tag (bochecha)
- add_tag: Run the tag command in the right directory (bochecha)
- tests: Ensure proper functioning of Commands.add_tag (bochecha)
- tests: Factor out some code (bochecha)
- tests: Ensure functioning of Commands.clone (bochecha)
- gitignore: Make sure each line ends with a \n (bochecha)
- gitignore: We're not modified any more after we wrote to disk (bochecha)
- tests: Ensure proper functioning of GitIgnore (bochecha)
- tests: Use nose (bochecha)
- Remove unused import (bochecha)
- Some more PEP8 (bochecha)
- Add classifiers to setup.py (pbabinca)
- Add new sources file parser even with unit tests (pbabinca)
- If source file doesn't exist continue without downloading files (pbabinca)
- Reformat setup.py to be compliant with PEP 8 (pbabinca)

* Tue Sep 30 2014 Pavol Babincak <pbabinca@redhat.com> - 1.28-1
- Compare fuller remote branch name with local branch before build

* Fri Sep 26 2014 Pavol Babincak <pbabinca@redhat.com> - 1.27-1
- Explicitly define pyrpkg's client name for man pages (pbabinca)
- Refactor mock results dir to property (pbabinca)
- Add skip-diffs option for import_srpms (lars)
- Properly remove possible .py when creating man pages (lars)
- Process srpm imports to empty repositories more explicitly (pbabinca)
- Make UPLOADEXTS a class variable that can be extended (lars)
- Introduce self.default_branch_remote for fresh clones (pbabinca)
- On self.path change reset properties which could used old value (pbabinca)
- Remove empty entry from git ls-files to not confuse following code (pbabinca)
- Remove file names during srpm import in more extensible way (pbabinca)
- Fix issue causing all current local builds via fedpkg to use md5 rather than
  sha256 (spot)
- License replaced with official GPL 2.0 license from gnu.org (pbabinca)
- Allow "rpkg commit -s" (pjones)

* Tue Jul 29 2014 Pavol Babincak <pbabinca@redhat.com> - 1.26-1
- rpkg doesn't have a python module so use pyrpkg instead (pbabinca)

* Tue Jul 29 2014 Pavol Babincak <pbabinca@redhat.com> - 1.25-1
- 1.25 release (pbabinca)
- Note to do_imports() doc. (pbabinca)
- Change default option for switch-branch from --no-fetch to --fetch (pbabinca)
- Allow default name of the library to be set by subclasses (pbabinca)
- Use name attribute of cliClient to get configuration (pbabinca)
- Make setup.py executable (pbabinca)
- Use direct git call for fetches (pbabinca)
- Print reason for failed switch-branch (pbabinca)
- Match whole branch with remote name when switching branch (pbabinca)
- Refactor: deduplicate remote & branch_merge (pbabinca)
- De-hardcode 'origin' as the remote name (bochecha)
- Fallback the remote on 'origin' (bochecha)

* Mon Jun 09 2014 Pavol Babincak <pbabinca@redhat.com> - 1.24-1
- 1.24 release (pbabinca)
- Work around signed srpms (Till Maas)
- Properly raise the error (bochecha)
- Ability to skip NVR construction altogether for builds (pbabinca)
- If we failed to parse NVRE from rpm output use better error message
  (pbabinca)
- If command to get NVRE printed anything to stderr log that command (pbabinca)
- Refactor: correctly split string on multi lines (pbabinca)
- Use nvr_check as an optional argument for build (pbabinca)
- 1.23 release (pbabinca)
- Use module_name setter instead of constructor parameter (pbabinca)
- Set pushurl & branch_remote by default (pbabinca)
- 1.22 release (pbabinca)
- Define module name from command line, git url and lastly from spec (pbabinca)
- Revert "Define module name from command line, git url and lastly from spec"
  (pbabinca)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Pavol Babincak <pbabinca@redhat.com> - 1.21-1
- Refactor: split strings on multi lines without spaces from indentation
  (pbabinca)
- Refactor: remove spaces at the end of lines (pbabinca)
- Define module name from command line, git url and lastly from spec (pbabinca)
- Option to skip NVR existence check in build system before build (pbabinca)
- Add an 'epoch' property to pyrpkg.Commands (bochecha)
- Fetch remotes before switch-branch by default (pbabinca)
- Protect rhpkg's --arches argument (pbabinca)

* Tue Feb 18 2014 Dennis Gilmore <dennis@ausil.us> - 1.20-1
- read krbservice from the koji config file (dennis)
- We can assume that rpkg is installed if the (ville.skytta)
- clog: Don't require empty line between changelog entries. (ville.skytta)
- Spelling fixes. (ville.skytta)
- expand %%{name} and %%{verion} macros when checking for unused_patches check
  for .patch and .diff files as patches (dennis)
- clean up some language ambiguities (dennis)
- clog: Support %changelog tag written in non-lowercase. (ville.skytta)
- add spkg as a binary file extention rhbz#972903 (dennis)
- Fixed version to 1.19 (pbabinca)
- Don't track spec file here (pbabinca)
- 1.20 (pbabinca)
- Mock config temp dir in the form $(target)-$(localarch).$(mktemp)mockconfig
  (pbabinca)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 08 2013 Pavol Babincak <pbabinca@redhat.com> - 1.19-1
- Generate mock-config for mockbuild if needed (rhbz#856928) (pbabinca)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 10 2012 Robert Scheck <robert@fedoraproject.org> - 1.18-3
- Require %%{version}-%%{release} rather %%{name}-%%{version}

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 16 2012 Jesse Keating <jkeating@redhat.com> - 1.18-1
- Use rpmdefines when querying for package name

* Mon Apr 09 2012 Jesse Keating <jkeating@redhat.com> - 1.17-1
- Don't assume master branch for chain builds (jkeating)

* Mon Mar 26 2012 Jesse Keating <jkeating@redhat.com> - 1.16-1
- Only read from .koji/config (jkeating)

* Wed Mar 21 2012 Jesse Keating <jkeating@redhat.com> - 1.15-1
- Fix branch push warning (jkeating)
- Handle CVS based builds when getting build hash (jkeating)

* Mon Mar 12 2012 Jesse Keating <jkeating@redhat.com> - 1.14-1
- Warn if the checked out branch cannot be pushed (jkeating)
- Warn if commit or tag fails and we don't push (#21) (jkeating)
- Honor ~/.koji/config (rhbz#785776) (jkeating)
- Update help output for switch-branch (rhbz#741742) (jkeating)

* Thu Mar 01 2012 Jesse Keating <jkeating@redhat.com> - 1.13-1
- Return proper exit code from builds (#20) (jkeating)
- Fix md5 option in the build parser (jkeating)
- More completion fixes (jkeating)
- Add mock-config and mockbuild completion (jkeating)
- Simplify test for rpkg availability. (ville.skytta)
- Fix ~/... path completion. (ville.skytta (jkeating)
- Add a --raw option to clog (#15) (jkeating)
- Make things quiet when possible (jkeating)
- Fix up figuring out srpm hash type (jkeating)
- Allow defining an alternative builddir (jkeating)
- Conflict with older fedpkg (jkeating)
- Attempt to automatically set the md5 flag (jkeating)
- Use -C not -c for config.  (#752411) (jkeating)
- Don't check gpg sigs when importing srpms (ticket #16) (jkeating)
- Enable md5 option in mockbuild (twaugh) (jkeating)

* Tue Jan 24 2012 Jesse Keating <jkeating@redhat.com> - 1.12-1
- Fix mock-config (ticket #13) (jkeating)
- Make md5 a common build argument (jkeating)
- Move arches to be a common build argument (ticket #3) (jkeating)
- Find remote branch to track better (jkeating)

* Fri Jan 13 2012 Jesse Keating <jkeating@redhat.com> - 1.11-1
- Change clog output to be more git-like (sochotnicky)
- Fix mockconfig property (bochecha)
- Use only new-style classes everywhere. (bochecha)
- Testing for access before opening a file is unsafe (bochecha)
- Add a gitbuildhash command (jkeating)
- Always make sure you have a absolute path (aj) (jkeating)
- don't try to import brew, just do koji (jkeating)

* Mon Nov 21 2011 Jesse Keating <jkeating@redhat.com> - 1.10-1
- Use -C for --config shortcut (jkeating)
- Don't leave a directory on failure (#754082) (jkeating)
- Fix chain build (#754189) (jkeating)
- Don't hardcode brew here (jkeating)

* Mon Nov 07 2011 Jesse Keating <jkeating@redhat.com> - 1.9-1
- Don't upload if there is nothing to upload. (jkeating)
- --branch option for import is not supported yet (jkeating)
- Add epilog about mock-config generation (jkeating)
- Don't assume we can create a folder named after the module. (bochecha)
- Fix passing the optional mock root to mockbuild (bochecha)
- Add missing registration for mockbuild target (bochecha)
- Make the clean target work with --path. (bochecha)
- Fix typo in a comment. (bochecha)
- Fix syntax error in main script. (bochecha)
- Fix typo. (bochecha)

* Fri Oct 28 2011 Jesse Keating <jkeating@redhat.com> - 1.8-1
- Get more detailed error output from lookaside (jkeating)
- Move the curl call out to it's own function (jkeating)
- Hide build_common from help/usage (jkeating)
- Fix the help command (jkeating)

* Tue Oct 25 2011 Jesse Keating <jkeating@redhat.com> - 1.7-1
- Support a manually specified mock root (jkeating)
- Add a mock-config subcommand (jkeating)
- Fix a traceback on error. (jkeating)
- Remove debugging code (jkeating)
- More git api updates (jkeating)
- Add topurl as a koji config and property (jkeating)
- Add a mockconfig property (jkeating)
- Turn the latest commit into a property (jkeating)

* Tue Sep 20 2011 Jesse Keating <jkeating@redhat.com> - 1.6-1
- Allow name property to load by itself (jkeating)

* Mon Sep 19 2011 Jesse Keating <jkeating@redhat.com> - 1.5-1
- Fix tag listing (#717528) (jkeating)
- Revamp n-v-r property loading (#721389) (jkeating)
- Don't use os.getlogin (jkeating)
- Code style changes (jkeating)
- Allow fedpkg lint to be configurable and to check spec file. (pingou)
- Handle non-scratch srpm builds better (jkeating)

* Wed Aug 17 2011 Jesse Keating <jkeating@redhat.com> - 1.4-1
- Be more generic when no spec file is found (jkeating)
- Hint about use of git status when dirty (jkeating)
- Don't use print when we can log.info it (jkeating)
- Don't exit from a library (jkeating)
- Do the rpm query in our module path (jkeating)
- Use git's native ability to checkout a branch (jkeating)
- Use keyword arg with clone (jkeating)
- Allow the on-demand generation of an srpm (jkeating)
- Fix up exit codes (jkeating)

* Mon Aug 01 2011 Jesse Keating <jkeating@redhat.com> - 1.3-1
- Fix a debug string (jkeating)
- Set the right property (jkeating)
- Make sure we have a default hashtype (jkeating)
- Use underscore for the dist tag (jkeating)
- Fix the kojiweburl property (jkeating)

* Wed Jul 20 2011 Jesse Keating <jkeating@redhat.com> - 1.2-1
- Fill out the krb_creds function (jkeating)
- Fix the log message (jkeating)
- site_setup is no longer needed (jkeating)
- Remove some rhtisms (jkeating)
- Wire up the patch command in client code (jkeating)
- Add a patch command (jkeating)

* Fri Jun 17 2011 Jesse Keating <jkeating@redhat.com> - 1.1-2
- Use version macro in files

* Fri Jun 17 2011 Jesse Keating <jkeating@redhat.com> - 1.1-1
- New tarball release with correct license files

* Fri Jun 17 2011 Jesse Keating <jkeating@redhat.com> - 1.0-2
- Fix up things found in review

* Tue Jun 14 2011 Jesse Keating <jkeating@redhat.com> - 1.0-1
- Initial package
